Summary: Library to display a clock or a dial
Name: libdial
Version: 2.5
Release: 2%{?dist}
License: GPLv3+
URL: http://www.tzclock.org
Packager: Chris Knight <chris@theknight.co.uk>
Group: Applications/Productivity
Source: http://www.tzclock.org/releases/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pkgconfig desktop-file-utils gcc gtk3-devel
%define debug_package %{nil}
%define _build_id_links none

%description
This package contains necessary library files for libdial applications.

%package devel
Summary: Libdial development files
Group: Development/Libraries

%description devel
This package contains necessary header files for libdial development.

%prep
%setup -q

%build
%if 0%{?mageia}
%configure2_5x
%else
%configure 
%endif
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
mkdir -p $RPM_BUILD_ROOT%{_includedir}
install -s -m 755 .libs/libdial.so.2.0.1 $RPM_BUILD_ROOT%{_libdir}/libdial.so.2.0.1
ln -s libdial.so.2.0.1 $RPM_BUILD_ROOT%{_libdir}/libdial.so.2
install -m 644 pkgconfig/dial.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/dial.pc
install -m 644 src/dialsys.h $RPM_BUILD_ROOT%{_includedir}/dialsys.h
install -s -m 644 .libs/libdial.a $RPM_BUILD_ROOT%{_libdir}/libdial.a
ln -s libdial.so.2 $RPM_BUILD_ROOT%{_libdir}/libdial.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libdial.so.2.0.1
%{_libdir}/libdial.so.2

%files devel
%{_libdir}/pkgconfig/dial.pc
%{_includedir}/dialsys.h
%{_libdir}/libdial.so
%{_libdir}/libdial.a

%doc COPYING AUTHORS

%changelog
* Wed Mar 22 2023 Chris Knight <chris@theknight.co.uk> 2.5-1
- Mainly fixes and support for newer compilers.

* Sat Dec 14 2013 Chris Knight <chris@theknight.co.uk> 1.0.2-1
- Change to allow pointer to save function on init.

* Mon Oct 29 2012 Chris Knight <chris@theknight.co.uk> 1.0.1-1
- Change to newer version of the colours.

* Thu May  3 2012 Chris Knight <chris@theknight.co.uk> 1.0.0-1
- First development version of the library.

